Index: mplayer/Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/mplayer/Makefile,v
retrieving revision 1.207
diff -u -r1.207 Makefile
--- mplayer/Makefile	20 Jul 2011 02:52:21 -0000	1.207
+++ mplayer/Makefile	28 Jul 2011 05:12:10 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	mplayer
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	2
+PORTREVISION=	3
 COMMENT=	High performance media player supporting many formats
 
 .include "${.CURDIR}/Makefile.shared"
@@ -51,7 +51,7 @@
 OPTIONS+=	THEORA "Enable ogg theora video support" off
 OPTIONS+=	VPX "Enable VP8 video via libvpx" off
 OPTIONS+=	SCHROEDINGER "Dirac codec via libschroedinger" off
-OPTIONS+=	ASS "Enable ASS/SSA subtitle rendering" Off
+OPTIONS+=	ASS "Enable ASS/SSA subtitle rendering" on
 .if !defined(PACKAGE_BUILDING)
 OPTIONS+=	WIN32 "Enable win32 codec set on the IA32 arch" on
 .endif
@@ -74,12 +74,6 @@
 
 CONFFILES=	example.conf input.conf menu.conf dvb-menu.conf
 
-# fix for bug when libass is installed, mplayer configure does not
-# uphold --disable-ass
-.if exists(${LOCALBASE}/lib/libass.so)
-WITH_ASS=	yes
-.endif
-
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "sparc64"
@@ -102,10 +96,10 @@
 
 .if defined(WITH_ASS)
 LIB_DEPENDS+=	ass.5:${PORTSDIR}/multimedia/libass
-USE_GNOME+=	pkgconfig
+BUILD_DEPENDS +=	pkg-config:${PORTSDIR}/devel/pkg-config
 LIBASS_PKGCONFIG_CFLAGS=	pkg-config --cflags --silence-errors libass
 .else
-CONFIGURE_ARGS+=	--disable-ass --disable-ass-internal
+CONFIGURE_ARGS+=	--disable-ass --disable-ass-internal --disable-enca
 LIBASS_PKGCONFIG_CFLAGS=	${ECHO_CMD}
 .endif
 
Index: mplayer/files/patch-sub__subreader.c
===================================================================
RCS file: mplayer/files/patch-sub__subreader.c
diff -N mplayer/files/patch-sub__subreader.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ mplayer/files/patch-sub__subreader.c	23 Jul 2011 03:27:50 -0000
@@ -0,0 +1,13 @@
+--- sub/subreader.c.orig	2011-07-22 23:08:52.000000000 -0400
++++ sub/subreader.c	2011-07-22 23:26:15.000000000 -0400
+@@ -2509,8 +2509,10 @@
+   strip_markup = 1;
+ #endif
+   if (!strip_markup) {
++#ifdef CONFIG_ASS
+     subassconvert_subrip(txt, buf, MAX_SUBLINE + 1);
+     sub->text[sub->lines] = buf;
++#endif 
+   } else {
+     for (i = 0; i < len && pos < MAX_SUBLINE; i++) {
+       char c = txt[i];
Index: mencoder/Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/mencoder/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- mencoder/Makefile	20 Jul 2011 02:52:34 -0000	1.28
+++ mencoder/Makefile	28 Jul 2011 05:23:40 -0000
@@ -6,7 +6,7 @@
 
 PORTNAME=	mencoder
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 COMMENT=	Convenient video file and movie encoder
 RESTRICTED=	Port has restricted dependencies
 
@@ -41,7 +41,7 @@
 OPTIONS+=	VPX "Enable VP8 video via libvpx" off
 OPTIONS+=	DIRAC "Enable dirac video codec support" off
 OPTIONS+=	SCHROEDINGER "Dirac codec via libschroedinger" off
-OPTIONS+=	ASS "Enable ASS/SSA subtitle rendering" Off
+OPTIONS+=	ASS "Enable ASS/SSA subtitle rendering" on
 OPTIONS+=	REALPLAYER "Enable real player plugin" off
 OPTIONS+=	LIVEMEDIA "Enable LIVE555 streaming support" off
 OPTIONS+=	SMB "Enable Samba input support" off
@@ -65,12 +65,6 @@
 		psnr-video.sh qepdvcd.sh subedit.pl \
 		subsearch.sh w32codec_dl.pl wma2ogg.pl \
 
-# fix for bug when libass is installed, mplayer configure does not
-# uphold --disable-ass
-.if exists(${LOCALBASE}/lib/libass.so)
-WITH_ASS=	yes
-.endif
-
 .include <bsd.port.pre.mk>
 
 LIB_DEPENDS+=	mp3lame.0:${PORTSDIR}/audio/lame
@@ -99,10 +93,10 @@
 
 .if defined(WITH_ASS)
 LIB_DEPENDS+=	ass.5:${PORTSDIR}/multimedia/libass
-USE_GNOME+=	pkgconfig
+BUILD_DEPENDS +=	pkg-config:${PORTSDIR}/devel/pkg-config
 LIBASS_PKGCONFIG_CFLAGS=	pkg-config --cflags --silence-errors libass
 .else
-CONFIGURE_ARGS+=	--disable-ass --disable-ass-internal
+CONFIGURE_ARGS+=	--disable-ass --disable-ass-internal --disable-enca
 LIBASS_PKGCONFIG_CFLAGS=	${ECHO_CMD}
 .endif
 